Skype for Linux Client repo key expired

I am running Ubuntu 21.04 with sky for linux. Since today `sudo apt update` started has been complaining in skypeforlinux as below:

W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://repo.skype.com/deb stable InRelease: The following signatures were invalid: EXPKEYSIG 1F3045A5DF7587C3 Skype Linux Client Repository W: Failed to fetch https://repo.skype.com/deb/dists/stable/InRelease The following signatures were invalid: EXPKEYSIG 1F3045A5DF7587C3 Skype Linux Client Repository W: Some index files failed to download. They have been ignored, or old ones used instead.

When trying to list the trusted keys with  `sudo apt-key list`, I can see the key for Skype Linux Client Repository is expired today.

Warning: apt-key is deprecated. Manage keyring files in trusted.gpg.d instead (see apt-key(8)).

/etc/apt/trusted.gpg

--------------------

pub rsa2048 2016-06-22 [SC] [expired: 2021-06-21]

D404 0146 BE39 7250 9FD5 7FC7 1F30 45A5 DF75 87C3

uid [ expired] Skype Linux Client Repository <*** Email address is removed for privacy ***>

Any updates available in this? Thanks.

|

* Please try a lower page number.

* Please enter only numbers.

* Please try a lower page number.

* Please enter only numbers.

Hello NitinKhare,

Thank you for reaching out to the community!

I would like to ask if you have already tried to remove the Skype folder on your linux device and reinstall it again? As alternative, you could try to download the preview version of Skype and test if you would experience the same issue. You may download it through this link: https://www.skype.com/en/insider/ 

Let me know the updates.

Benjie_C
Skype Community Moderator

1 person found this reply helpful

Was this reply helpful?

Yes
No

Sorry this didn't help.

Great! Thanks for your feedback.

How satisfied are you with this reply?

Thanks for your feedback, it helps us improve the site.

How satisfied are you with this reply?

Thanks for your feedback.

I removed the ~/.config/skypeforlinux dir

reinstalled, sudo apt install skypeforlinux

But, apt-key list shows the key as expired (today 2021-06-21).

pub rsa2048 2016-06-22 [SC] [expired: 2021-06-21]
D404 0146 BE39 7250 9FD5 7FC7 1F30 45A5 DF75 87C3
uid [ expired] Skype Linux Client Repository <*** Email address is removed for privacy ***>

sudo apt update complains:

Err:5 https://repo.skype.com/deb stable InRelease The following signatures were invalid: EXPKEYSIG 1F3045A5DF7587C3 Skype Linux Client Repository

7 people found this reply helpful

Was this reply helpful?

Yes
No

Sorry this didn't help.

Great! Thanks for your feedback.

How satisfied are you with this reply?

Thanks for your feedback, it helps us improve the site.

How satisfied are you with this reply?

Thanks for your feedback.

On my machine Skype version 8.73.0.92 (Linux / Ubuntu) (W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://repo.skype.com/deb stable InRelease: The following signatures were invalid: EXPKEYSIG 1F3045A5DF7587C3 Skype Linux Client Repository W: Failed to fetch https://repo.skype.com/deb/dists/stable/InRelease The following signatures were invalid: EXPKEYSIG 1F3045A5DF7587C3 Skype Linux Client Repository W: Some index files failed to download. They have been ignored, or old ones

R. Richard Hobbs

4 people found this reply helpful

Was this reply helpful?

Yes
No

Sorry this didn't help.

Great! Thanks for your feedback.

How satisfied are you with this reply?

Thanks for your feedback, it helps us improve the site.

How satisfied are you with this reply?

Thanks for your feedback.

Yes I could reinstall it. But it is the update process which is failing starting today because of the expired GPG key and just wanted to bring up that issue to notice so that necessary steps can be taken for the repo.

6 people found this reply helpful

Was this reply helpful?

Yes
No

Sorry this didn't help.

Great! Thanks for your feedback.

How satisfied are you with this reply?

Thanks for your feedback, it helps us improve the site.

How satisfied are you with this reply?

Thanks for your feedback.

Hello NitinKhare! I'm Arissa, an independent advisor and Skype user.
I'm happy to help you!

I found two useful links, the first one has some suggestions to fix it: https://askubuntu.com/questions/1218349/keyexpi...

And the second is a recent thread, a user mentioned the same issue and ended up fixing it by getting a new key using a command he suggested: https://askubuntu.com/questions/1218349/keyexpi...

DISCLAIMER:
The links above are a non-Microsoft websites. The pages appear to be providing accurate, safe information. Watch out for ads on the site that may advertise products frequently classified as a PUP (Potentially Unwanted Products). Thoroughly research any product advertised on the site before you decide to download and install it.

8 people found this reply helpful

Was this reply helpful?

Yes
No

Sorry this didn't help.

Great! Thanks for your feedback.

How satisfied are you with this reply?

Thanks for your feedback, it helps us improve the site.

How satisfied are you with this reply?

Thanks for your feedback.

Thanks Arissa for providing those links but I already tried similar steps by removing the expired key and re-adding it from the skype repo as below but without much luck:

curl -sS https://repo.skype.com/data/SKYPE-GPG-KEY | sudo apt-key add -

I think Microsoft needs to update the expired key at the repo level with a new one that we can then add in our local keylist to continue with update process without the error.

55 people found this reply helpful

Was this reply helpful?

Yes
No

Sorry this didn't help.

Great! Thanks for your feedback.

How satisfied are you with this reply?

Thanks for your feedback, it helps us improve the site.

How satisfied are you with this reply?

Thanks for your feedback.

You are welcome!
I see :(

Have you reported it to Microsoft?

I had some issues with the latest update as well (even though I'm not a Linux user) and I've been using the web version until a fix is released https://web.skype.com/

1 person found this reply helpful

Was this reply helpful?

Yes
No

Sorry this didn't help.

Great! Thanks for your feedback.

How satisfied are you with this reply?

Thanks for your feedback, it helps us improve the site.

How satisfied are you with this reply?

Thanks for your feedback.

When running "apt update", the below was seen:

An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://repo.skype.com/deb stable InRelease: The following signatures were invalid: EXPKEYSIG 1F3045A5DF7587C3 Skype Linux Client Repository <*** Email address is removed for privacy ***>W: Failed to fetch https://repo.skype.com/deb/dists/stable/InRelease The following signatures were invalid: EXPKEYSIG 1F3045A5DF7587C3 Skype Linux Client Repository <*** Email address is removed for privacy ***>

Question: where can one take the valid key?

Please do not recommend to re-add the key from

https://repo.skype.com/data/SKYPE-GPG-KEY

since the above IS the expired key.

I wonder, does anyone from Skype maintainers actually monitor the key expiration?

Note: it's funny there's no "Installation problems" or similar topic available from the dropdowns. I had to use "Everything Else" > "Others" as the best possible match.

9 people found this reply helpful

Was this reply helpful?

Yes
No

Sorry this didn't help.

Great! Thanks for your feedback.

How satisfied are you with this reply?

Thanks for your feedback, it helps us improve the site.

How satisfied are you with this reply?

Thanks for your feedback.

This is a useless piece of advice. The problem is that the regular key used to sign the packages:

https://repo.skype.com/data/SKYPE-GPG-KEY

has expired (looks like no one does monitor that key state).

The only valid solution is replacing the above key and re-signing corresponding packages.

16 people found this reply helpful

Was this reply helpful?

Yes
No

Sorry this didn't help.

Great! Thanks for your feedback.

How satisfied are you with this reply?

Thanks for your feedback, it helps us improve the site.

How satisfied are you with this reply?

Thanks for your feedback.

I am unable to update Skype , because GPG key of the repository has expired. I am using Debian Bullseye. I have downloaded a GPG key from

https://repo.skype.com/data/SKYPE-GPG-KEY and when I check that, it says:


$ gpg SKYPE-GPG-KEY
gpg: WARNING: no command supplied. Trying to guess what you mean ...
pub rsa2048 2016-06-22 [SC] [expired: 2021-06-21]
D4040146BE3972509FD57FC71F3045A5DF7587C3
uid Skype Linux Client Repository <*** Email address is removed for privacy ***>
sub rsa2048 2016-06-22 [E] [expired: 2021-06-21]

Could you please provide a new public key for this repository. I haven'ŧ found a way to simply report a bug, so sorry, if this is not a correct place.

Was this reply helpful?

Yes
No

Sorry this didn't help.

Great! Thanks for your feedback.

How satisfied are you with this reply?

Thanks for your feedback, it helps us improve the site.

How satisfied are you with this reply?

Thanks for your feedback.

* Please try a lower page number.

* Please enter only numbers.

* Please try a lower page number.

* Please enter only numbers.

 
 

Question Info


Last updated September 17, 2021 Views 12,064 Applies to: